---
title: "Get namespace by ID"
url: https://hexelstudio.com/docs/api/ciam-iam/namespaces/get
---

# Get namespace by ID

**GET** `/namespaces/{namespace_id}`

## Path parameters

- `namespace_id: string`

  Namespace ID

## Headers

- `Authorization: string`

  `Bearer <token>`.

## Returns

`200` OK (`Namespace`)

- `created_at: optional string`

- `deleted_at: optional DeletedAt`

  - `time: optional string`

  - `valid: optional boolean`

    Valid is true if Time is not NULL

- `id: optional string`

- `name: optional string`

  e.g. "document", "folder", "workspace"; unique within the organization (migration 037)

- `organization_id: optional string`

- `relations: optional string`

  schema: {"owner":{"this":{}},"editor":{"union":["owner"]},"viewer":{"union":["editor"]}}

- `updated_at: optional string`

## Errors

- `404` Not Found

## Example

```bash
curl --request GET \
  --url 'https://api.hexelstudio.com/v1/namespaces/{namespace_id}' \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```

### Response (200)

```json
{
  "created_at": "2026-01-01T00:00:00Z",
  "deleted_at": {
    "time": "string",
    "valid": true
  },
  "id": "string",
  "name": "string",
  "organization_id": "string",
  "relations": "string",
  "updated_at": "2026-01-01T00:00:00Z"
}
```

### Response (404)

```json
{
  "key": "string"
}
```
